# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from truera.protobuf.backup import backup_service_pb2 as truera_dot_protobuf_dot_backup_dot_backup__service__pb2


class BackupServiceStub(object):
    """GRPC service for apis to expose backup/restore functionality. For now,
    the scope is mongodb database that backs metarepo.
    Backup and restore internally use mongodump and mongorestore tools(v4.2).
    For more details on these tools, check this documentation:
    mongodump: https://docs.mongodb.com/v4.2/reference/program/mongodump/
    mongorestore: https://docs.mongodb.com/v4.2/reference/program/mongorestore/
    Link to design doc: https://docs.google.com/document/d/1eUxR6yxUEv9A_jg6YI02QF1SkoGkxra6kxUjZ9ERCaw/edit

    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.TriggerBackup = channel.unary_unary(
                '/truera.backup.BackupService/TriggerBackup',
                request_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerBackupRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerBackupResponse.FromString,
                )
        self.TriggerRestore = channel.unary_unary(
                '/truera.backup.BackupService/TriggerRestore',
                request_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerRestoreRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerRestoreResponse.FromString,
                )
        self.ListBackups = channel.unary_unary(
                '/truera.backup.BackupService/ListBackups',
                request_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.ListBackupsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.ListBackupsResponse.FromString,
                )
        self.CleanupStaleBackups = channel.unary_unary(
                '/truera.backup.BackupService/CleanupStaleBackups',
                request_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.CleanupStaleBackupsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.CleanupStaleBackupsResponse.FromString,
                )


class BackupServiceServicer(object):
    """GRPC service for apis to expose backup/restore functionality. For now,
    the scope is mongodb database that backs metarepo.
    Backup and restore internally use mongodump and mongorestore tools(v4.2).
    For more details on these tools, check this documentation:
    mongodump: https://docs.mongodb.com/v4.2/reference/program/mongodump/
    mongorestore: https://docs.mongodb.com/v4.2/reference/program/mongorestore/
    Link to design doc: https://docs.google.com/document/d/1eUxR6yxUEv9A_jg6YI02QF1SkoGkxra6kxUjZ9ERCaw/edit

    """

    def TriggerBackup(self, request, context):
        """Triggers generation of new backup.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def TriggerRestore(self, request, context):
        """Triggers restore for given backup.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ListBackups(self, request, context):
        """Fetches all the backups.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def CleanupStaleBackups(self, request, context):
        """Cleanup stale backups.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_BackupServiceServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'TriggerBackup': grpc.unary_unary_rpc_method_handler(
                    servicer.TriggerBackup,
                    request_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerBackupRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerBackupResponse.SerializeToString,
            ),
            'TriggerRestore': grpc.unary_unary_rpc_method_handler(
                    servicer.TriggerRestore,
                    request_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerRestoreRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerRestoreResponse.SerializeToString,
            ),
            'ListBackups': grpc.unary_unary_rpc_method_handler(
                    servicer.ListBackups,
                    request_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.ListBackupsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.ListBackupsResponse.SerializeToString,
            ),
            'CleanupStaleBackups': grpc.unary_unary_rpc_method_handler(
                    servicer.CleanupStaleBackups,
                    request_deserializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.CleanupStaleBackupsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_backup_dot_backup__service__pb2.CleanupStaleBackupsResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'truera.backup.BackupService', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class BackupService(object):
    """GRPC service for apis to expose backup/restore functionality. For now,
    the scope is mongodb database that backs metarepo.
    Backup and restore internally use mongodump and mongorestore tools(v4.2).
    For more details on these tools, check this documentation:
    mongodump: https://docs.mongodb.com/v4.2/reference/program/mongodump/
    mongorestore: https://docs.mongodb.com/v4.2/reference/program/mongorestore/
    Link to design doc: https://docs.google.com/document/d/1eUxR6yxUEv9A_jg6YI02QF1SkoGkxra6kxUjZ9ERCaw/edit

    """

    @staticmethod
    def TriggerBackup(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.backup.BackupService/TriggerBackup',
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerBackupRequest.SerializeToString,
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerBackupResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def TriggerRestore(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.backup.BackupService/TriggerRestore',
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerRestoreRequest.SerializeToString,
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.TriggerRestoreResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ListBackups(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.backup.BackupService/ListBackups',
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.ListBackupsRequest.SerializeToString,
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.ListBackupsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def CleanupStaleBackups(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.backup.BackupService/CleanupStaleBackups',
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.CleanupStaleBackupsRequest.SerializeToString,
            truera_dot_protobuf_dot_backup_dot_backup__service__pb2.CleanupStaleBackupsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
