# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

from truera.protobuf.public.data_service import data_service_pb2 as truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2


class DataServiceStub(object):
    """Expected workflow:
    In order to ingest data from an external table, the caller of the service will:
    0) (optional) Add a credential for later use
    1) Call LoadDataSource. The field data_source_info captures what the service
    will need to access the data source and persist that info so that the data
    service can continue to access that data source for some period of time.
    2) Call GetRowsetStatus until the status is RS_STATUS_OK.
    3) (zero to N times) ApplyFilterToRowset either on the rowset from the raw data 
    source or a rowset created via another filter. 
    3) Call MaterializeData to write the output data to one or more files.
    4) Once GetMaterializeDataStatus returns successful then the split that was
    created can be used. Failed is a terminal state. 

    Utility functions:
    Along the way, the user may want to know how many rows there are or what columns are
    present in the file they have chosen to consume. These functions can be called along
    the way in the workflow:
    1) Call GetRowsetColumns to get the columns in that rowset. This will return either
    a running status, an error, or the columns of the rowset.
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.Ping = channel.unary_unary(
                '/truera.data_service.DataService/Ping',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DataServicePingRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DataServicePingResponse.FromString,
                )
        self.GetAwsAccountId = channel.unary_unary(
                '/truera.data_service.DataService/GetAwsAccountId',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetAwsAccountIdRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetAwsAccountIdResponse.FromString,
                )
        self.PutCredential = channel.unary_unary(
                '/truera.data_service.DataService/PutCredential',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.PutCredentialRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.PutCredentialResponse.FromString,
                )
        self.GetCredentialMetadata = channel.unary_unary(
                '/truera.data_service.DataService/GetCredentialMetadata',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialMetadataRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialMetadataResponse.FromString,
                )
        self.DeleteCredential = channel.unary_unary(
                '/truera.data_service.DataService/DeleteCredential',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteCredentialRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteCredentialResponse.FromString,
                )
        self.LoadDataSource = channel.unary_unary(
                '/truera.data_service.DataService/LoadDataSource',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.LoadDataRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetStatusResponse.FromString,
                )
        self.DeleteRowset = channel.unary_unary(
                '/truera.data_service.DataService/DeleteRowset',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteRowsetRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteRowsetResponse.FromString,
                )
        self.GetRowsetStatus = channel.unary_unary(
                '/truera.data_service.DataService/GetRowsetStatus',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetStatusRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetStatusResponse.FromString,
                )
        self.GetRowsetMetadata = channel.unary_unary(
                '/truera.data_service.DataService/GetRowsetMetadata',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetMetadataRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetMetadataResponse.FromString,
                )
        self.ApplyFilterToRowset = channel.unary_unary(
                '/truera.data_service.DataService/ApplyFilterToRowset',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.ApplyFilterRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetResponse.FromString,
                )
        self.GetRowsetColumns = channel.unary_unary(
                '/truera.data_service.DataService/GetRowsetColumns',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetColumnsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetColumnsRequestResponse.FromString,
                )
        self.GetRows = channel.unary_unary(
                '/truera.data_service.DataService/GetRows',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsResponse.FromString,
                )
        self.JoinRowsets = channel.unary_unary(
                '/truera.data_service.DataService/JoinRowsets',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.JoinRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetResponse.FromString,
                )
        self.CreateEmptySplit = channel.unary_unary(
                '/truera.data_service.DataService/CreateEmptySplit',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.CreateEmptySplitRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.CreateEmptySplitResponse.FromString,
                )
        self.MaterializeData = channel.unary_unary(
                '/truera.data_service.DataService/MaterializeData',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataResponse.FromString,
                )
        self.GetMaterializeDataStatus = channel.unary_unary(
                '/truera.data_service.DataService/GetMaterializeDataStatus',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeDataStatusRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataResponse.FromString,
                )
        self.DeleteMaterializeOperation = channel.unary_unary(
                '/truera.data_service.DataService/DeleteMaterializeOperation',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteMaterializeOperationRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteMaterializeOperationResponse.FromString,
                )
        self.GetCredentials = channel.unary_unary(
                '/truera.data_service.DataService/GetCredentials',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialsResponse.FromString,
                )
        self.GetRowsets = channel.unary_unary(
                '/truera.data_service.DataService/GetRowsets',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetsResponse.FromString,
                )
        self.GetMaterializeOperations = channel.unary_unary(
                '/truera.data_service.DataService/GetMaterializeOperations',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeOperationsRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeOperationsResponse.FromString,
                )
        self.RegisterSchema = channel.unary_unary(
                '/truera.data_service.DataService/RegisterSchema',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RegisterSchemaRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RegisterSchemaResponse.FromString,
                )
        self.GetSchema = channel.unary_unary(
                '/truera.data_service.DataService/GetSchema',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetSchemaRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetSchemaResponse.FromString,
                )
        self.DeleteSchema = channel.unary_unary(
                '/truera.data_service.DataService/DeleteSchema',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteSchemaRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteSchemaResponse.FromString,
                )
        self.StartStreamingIngestion = channel.unary_unary(
                '/truera.data_service.DataService/StartStreamingIngestion',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StartStreamingIngestionRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StartStreamingIngestionResponse.FromString,
                )
        self.GetStreamingIngestionStatus = channel.unary_unary(
                '/truera.data_service.DataService/GetStreamingIngestionStatus',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetStreamingIngestionStatusRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetStreamingIngestionStatusResponse.FromString,
                )
        self.StopStreamingIngestion = channel.unary_unary(
                '/truera.data_service.DataService/StopStreamingIngestion',
                request_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StopStreamingIngestionRequest.SerializeToString,
                response_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StopStreamingIngestionResponse.FromString,
                )


class DataServiceServicer(object):
    """Expected workflow:
    In order to ingest data from an external table, the caller of the service will:
    0) (optional) Add a credential for later use
    1) Call LoadDataSource. The field data_source_info captures what the service
    will need to access the data source and persist that info so that the data
    service can continue to access that data source for some period of time.
    2) Call GetRowsetStatus until the status is RS_STATUS_OK.
    3) (zero to N times) ApplyFilterToRowset either on the rowset from the raw data 
    source or a rowset created via another filter. 
    3) Call MaterializeData to write the output data to one or more files.
    4) Once GetMaterializeDataStatus returns successful then the split that was
    created can be used. Failed is a terminal state. 

    Utility functions:
    Along the way, the user may want to know how many rows there are or what columns are
    present in the file they have chosen to consume. These functions can be called along
    the way in the workflow:
    1) Call GetRowsetColumns to get the columns in that rowset. This will return either
    a running status, an error, or the columns of the rowset.
    """

    def Ping(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetAwsAccountId(self, request, context):
        """Retrieve AWS Account ID used by the Data Service.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def PutCredential(self, request, context):
        """Put a credential in secure storage for usage in subsequent operations.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetCredentialMetadata(self, request, context):
        """Get metadata about a credential.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DeleteCredential(self, request, context):
        """Delete a credential by ID.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def LoadDataSource(self, request, context):
        """Create a rowset from a data source.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DeleteRowset(self, request, context):
        """Delete the specified rowset
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetRowsetStatus(self, request, context):
        """Get the status of a data load data operation
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetRowsetMetadata(self, request, context):
        """Get the metadata of any rowset.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ApplyFilterToRowset(self, request, context):
        """Apply a filter to a rowset, creating a new rowset.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetRowsetColumns(self, request, context):
        """Get the columns and types from a rowset.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetRows(self, request, context):
        """Get some sample rows of a rowset.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def JoinRowsets(self, request, context):
        """Join N rowsets on a unique ID.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def CreateEmptySplit(self, request, context):
        """Create split metadata for appending data.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def MaterializeData(self, request, context):
        """Start materializing data, outputting data for a split, prediction, or feature influences.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetMaterializeDataStatus(self, request, context):
        """Check the status of data materialization.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DeleteMaterializeOperation(self, request, context):
        """Attempt to stop the ongoing operation if it is running and remove from tracking.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetCredentials(self, request, context):
        """Get credentials. Gives a list of credential metadata, does not contain secrets.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetRowsets(self, request, context):
        """Get a list of rowsets.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetMaterializeOperations(self, request, context):
        """Get a list of materialize operations.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def RegisterSchema(self, request, context):
        """Register a new schema
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetSchema(self, request, context):
        """Get a schema by ID.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DeleteSchema(self, request, context):
        """Delete a schema by ID.
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def StartStreamingIngestion(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetStreamingIngestionStatus(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def StopStreamingIngestion(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_DataServiceServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'Ping': grpc.unary_unary_rpc_method_handler(
                    servicer.Ping,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DataServicePingRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DataServicePingResponse.SerializeToString,
            ),
            'GetAwsAccountId': grpc.unary_unary_rpc_method_handler(
                    servicer.GetAwsAccountId,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetAwsAccountIdRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetAwsAccountIdResponse.SerializeToString,
            ),
            'PutCredential': grpc.unary_unary_rpc_method_handler(
                    servicer.PutCredential,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.PutCredentialRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.PutCredentialResponse.SerializeToString,
            ),
            'GetCredentialMetadata': grpc.unary_unary_rpc_method_handler(
                    servicer.GetCredentialMetadata,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialMetadataRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialMetadataResponse.SerializeToString,
            ),
            'DeleteCredential': grpc.unary_unary_rpc_method_handler(
                    servicer.DeleteCredential,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteCredentialRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteCredentialResponse.SerializeToString,
            ),
            'LoadDataSource': grpc.unary_unary_rpc_method_handler(
                    servicer.LoadDataSource,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.LoadDataRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetStatusResponse.SerializeToString,
            ),
            'DeleteRowset': grpc.unary_unary_rpc_method_handler(
                    servicer.DeleteRowset,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteRowsetRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteRowsetResponse.SerializeToString,
            ),
            'GetRowsetStatus': grpc.unary_unary_rpc_method_handler(
                    servicer.GetRowsetStatus,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetStatusRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetStatusResponse.SerializeToString,
            ),
            'GetRowsetMetadata': grpc.unary_unary_rpc_method_handler(
                    servicer.GetRowsetMetadata,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetMetadataRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetMetadataResponse.SerializeToString,
            ),
            'ApplyFilterToRowset': grpc.unary_unary_rpc_method_handler(
                    servicer.ApplyFilterToRowset,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.ApplyFilterRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetResponse.SerializeToString,
            ),
            'GetRowsetColumns': grpc.unary_unary_rpc_method_handler(
                    servicer.GetRowsetColumns,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetColumnsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetColumnsRequestResponse.SerializeToString,
            ),
            'GetRows': grpc.unary_unary_rpc_method_handler(
                    servicer.GetRows,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsResponse.SerializeToString,
            ),
            'JoinRowsets': grpc.unary_unary_rpc_method_handler(
                    servicer.JoinRowsets,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.JoinRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetResponse.SerializeToString,
            ),
            'CreateEmptySplit': grpc.unary_unary_rpc_method_handler(
                    servicer.CreateEmptySplit,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.CreateEmptySplitRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.CreateEmptySplitResponse.SerializeToString,
            ),
            'MaterializeData': grpc.unary_unary_rpc_method_handler(
                    servicer.MaterializeData,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataResponse.SerializeToString,
            ),
            'GetMaterializeDataStatus': grpc.unary_unary_rpc_method_handler(
                    servicer.GetMaterializeDataStatus,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeDataStatusRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataResponse.SerializeToString,
            ),
            'DeleteMaterializeOperation': grpc.unary_unary_rpc_method_handler(
                    servicer.DeleteMaterializeOperation,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteMaterializeOperationRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteMaterializeOperationResponse.SerializeToString,
            ),
            'GetCredentials': grpc.unary_unary_rpc_method_handler(
                    servicer.GetCredentials,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialsResponse.SerializeToString,
            ),
            'GetRowsets': grpc.unary_unary_rpc_method_handler(
                    servicer.GetRowsets,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetsResponse.SerializeToString,
            ),
            'GetMaterializeOperations': grpc.unary_unary_rpc_method_handler(
                    servicer.GetMaterializeOperations,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeOperationsRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeOperationsResponse.SerializeToString,
            ),
            'RegisterSchema': grpc.unary_unary_rpc_method_handler(
                    servicer.RegisterSchema,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RegisterSchemaRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RegisterSchemaResponse.SerializeToString,
            ),
            'GetSchema': grpc.unary_unary_rpc_method_handler(
                    servicer.GetSchema,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetSchemaRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetSchemaResponse.SerializeToString,
            ),
            'DeleteSchema': grpc.unary_unary_rpc_method_handler(
                    servicer.DeleteSchema,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteSchemaRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteSchemaResponse.SerializeToString,
            ),
            'StartStreamingIngestion': grpc.unary_unary_rpc_method_handler(
                    servicer.StartStreamingIngestion,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StartStreamingIngestionRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StartStreamingIngestionResponse.SerializeToString,
            ),
            'GetStreamingIngestionStatus': grpc.unary_unary_rpc_method_handler(
                    servicer.GetStreamingIngestionStatus,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetStreamingIngestionStatusRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetStreamingIngestionStatusResponse.SerializeToString,
            ),
            'StopStreamingIngestion': grpc.unary_unary_rpc_method_handler(
                    servicer.StopStreamingIngestion,
                    request_deserializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StopStreamingIngestionRequest.FromString,
                    response_serializer=truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StopStreamingIngestionResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'truera.data_service.DataService', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class DataService(object):
    """Expected workflow:
    In order to ingest data from an external table, the caller of the service will:
    0) (optional) Add a credential for later use
    1) Call LoadDataSource. The field data_source_info captures what the service
    will need to access the data source and persist that info so that the data
    service can continue to access that data source for some period of time.
    2) Call GetRowsetStatus until the status is RS_STATUS_OK.
    3) (zero to N times) ApplyFilterToRowset either on the rowset from the raw data 
    source or a rowset created via another filter. 
    3) Call MaterializeData to write the output data to one or more files.
    4) Once GetMaterializeDataStatus returns successful then the split that was
    created can be used. Failed is a terminal state. 

    Utility functions:
    Along the way, the user may want to know how many rows there are or what columns are
    present in the file they have chosen to consume. These functions can be called along
    the way in the workflow:
    1) Call GetRowsetColumns to get the columns in that rowset. This will return either
    a running status, an error, or the columns of the rowset.
    """

    @staticmethod
    def Ping(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/Ping',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DataServicePingRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DataServicePingResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetAwsAccountId(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetAwsAccountId',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetAwsAccountIdRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetAwsAccountIdResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def PutCredential(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/PutCredential',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.PutCredentialRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.PutCredentialResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetCredentialMetadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetCredentialMetadata',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialMetadataRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialMetadataResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DeleteCredential(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/DeleteCredential',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteCredentialRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteCredentialResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def LoadDataSource(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/LoadDataSource',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.LoadDataRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetStatusResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DeleteRowset(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/DeleteRowset',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteRowsetRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteRowsetResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetRowsetStatus(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetRowsetStatus',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetStatusRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetStatusResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetRowsetMetadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetRowsetMetadata',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetMetadataRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetMetadataResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ApplyFilterToRowset(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/ApplyFilterToRowset',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.ApplyFilterRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetRowsetColumns(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetRowsetColumns',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetColumnsRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetColumnsRequestResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetRows(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetRows',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def JoinRowsets(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/JoinRowsets',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.JoinRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RowsetResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def CreateEmptySplit(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/CreateEmptySplit',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.CreateEmptySplitRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.CreateEmptySplitResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def MaterializeData(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/MaterializeData',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetMaterializeDataStatus(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetMaterializeDataStatus',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeDataStatusRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.MaterializeDataResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DeleteMaterializeOperation(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/DeleteMaterializeOperation',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteMaterializeOperationRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteMaterializeOperationResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetCredentials(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetCredentials',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialsRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetCredentialsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetRowsets(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetRowsets',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetsRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetRowsetsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetMaterializeOperations(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetMaterializeOperations',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeOperationsRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetMaterializeOperationsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def RegisterSchema(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/RegisterSchema',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RegisterSchemaRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.RegisterSchemaResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetSchema(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetSchema',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetSchemaRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetSchemaResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DeleteSchema(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/DeleteSchema',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteSchemaRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.DeleteSchemaResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def StartStreamingIngestion(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/StartStreamingIngestion',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StartStreamingIngestionRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StartStreamingIngestionResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetStreamingIngestionStatus(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/GetStreamingIngestionStatus',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetStreamingIngestionStatusRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.GetStreamingIngestionStatusResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def StopStreamingIngestion(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/truera.data_service.DataService/StopStreamingIngestion',
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StopStreamingIngestionRequest.SerializeToString,
            truera_dot_protobuf_dot_public_dot_data__service_dot_data__service__pb2.StopStreamingIngestionResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
